Get Gift Card
curl --request GET \
--url https://api.launchmystore.io/api/v1/gift_cards/{gift_card_id}.json \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"id": "gc_abc123",
"code": "GIFT-ABCD-1234-EFGH",
"initial_value": 5000,
"balance": 3500,
"currency": "USD",
"status": "enabled",
"customer_id": "cust_xyz789",
"note": "Birthday gift",
"expires_at": "2025-01-15T00:00:00Z",
"created_at": "2024-01-15T10:30:00Z",
"transactions": [
{
"id": "gct_001",
"amount": -1500,
"order_id": "ord_abc123",
"created_at": "2024-01-20T12:00:00Z"
}
]
}
}
Gift Cards
Get Gift Card
Get a gift card by ID
GET
/
api
/
v1
/
gift_cards
/
{gift_card_id}
.json
Get Gift Card
curl --request GET \
--url https://api.launchmystore.io/api/v1/gift_cards/{gift_card_id}.json \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"id": "gc_abc123",
"code": "GIFT-ABCD-1234-EFGH",
"initial_value": 5000,
"balance": 3500,
"currency": "USD",
"status": "enabled",
"customer_id": "cust_xyz789",
"note": "Birthday gift",
"expires_at": "2025-01-15T00:00:00Z",
"created_at": "2024-01-15T10:30:00Z",
"transactions": [
{
"id": "gct_001",
"amount": -1500,
"order_id": "ord_abc123",
"created_at": "2024-01-20T12:00:00Z"
}
]
}
}
Path Parameters
The gift card ID
Response
{
"success": true,
"data": {
"id": "gc_abc123",
"code": "GIFT-ABCD-1234-EFGH",
"initial_value": 5000,
"balance": 3500,
"currency": "USD",
"status": "enabled",
"customer_id": "cust_xyz789",
"note": "Birthday gift",
"expires_at": "2025-01-15T00:00:00Z",
"created_at": "2024-01-15T10:30:00Z",
"transactions": [
{
"id": "gct_001",
"amount": -1500,
"order_id": "ord_abc123",
"created_at": "2024-01-20T12:00:00Z"
}
]
}
}
⌘I